This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 843042 - Provide native systemd service for teamd
Provide native systemd service for teamd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libteam (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Pirko
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2012-07-25 08:09 EDT by Tomasz Torcz
Modified: 2012-08-07 11:31 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:31:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
teamd@.service (193 bytes, text/plain)
2012-07-25 08:09 EDT, Tomasz Torcz
no flags Details

  None (edit)
Description Tomasz Torcz 2012-07-25 08:09:02 EDT
Created attachment 600288 [details]
teamd@.service

Description of problem:
teamd package do not ship any systemd unit files. Yet the need to run deamon for each team interface is perfect use of systemd infrastructure.

Please include attached unit file. For each config file in /etc/teamd/ directory, instance teamd@<configname>.service can be started. So if you have /etc/teamd/lacp_1.conf, you can start teamd@lacp_1.service

Notes:
- /etc/teamd directory does not exist in package - needs to be added
- teamd should be rather in /usr/sbin than "bin" directory, but I'm unable to find package review bug in bugzilla to check rationale

If you satisfied with this unit file, please try to include it upstream.
Comment 1 Jiri Pirko 2012-08-07 11:31:17 EDT
Your approach is not compatible with network initscripts. I changed initscripts so they use systemd to start/stop teamd.

Note You need to log in before you can comment on or make changes to this bug.